<template>
  <div class="heroheader">
    <ModuleHeroSlider
      v-if="items && items.left"
      ref="sliderLeft"
      class="heroslider left"
      direction="up"
      :items="items.left"
      :speed="1000"
      autoplay
    />
    <ModuleHeroSlider
      v-if="items && items.right"
      ref="sliderRight"
      class="heroslider right"
      direction="down"
      :items="items.right"
      :speed="1000"
      autoplay
    />
  </div>
</template>

<script>
export default {
  name: 'HeroHeader',
  props: {
    items: {
      type: Object,
      default: null,
    },
  },

  data() {
    return {
      change: false,
      newItems: null,
    }
  },

  methods: {
    hide(items) {
      if (this.change) return
      this.change = true

      this.newItems = items
      this.stop()
    },

    show() {
      this.resume()
    },

    resume() {
      if (!this.change) return
      this.change = false

      if (this.$refs.sliderLeft) this.$refs.sliderLeft.resume()
      if (this.$refs.sliderRight) this.$refs.sliderRight.resume()
    },

    stop() {
      if (this.$refs.sliderLeft) this.$refs.sliderLeft.stop()
      if (this.$refs.sliderRight) this.$refs.sliderRight.stop()
    },
  },
}
</script>

<style lang="scss" scoped>
.heroheader {
  width: 100vw;
  height: 100vh;
  min-height: 100vh;
  @screen lg {
    height: 100vh;
    min-height: 100vh;
  }

  top: 0;
  .heroslider {
    @apply absolute;

    mask-repeat: no-repeat;
    mask-size: 100% 100%;

    &.left {
      left: 0;
      width: 55.3vw;

      mask-image: url('/SVG/mask-left.svg');
    }

    &.right {
      width: 55.35vw;
      right: 0px;
      mask-image: url('/SVG/mask-right.svg');
    }
  }
}
</style>
